#!/bin/sh
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

set -e

: "${UV:=uv}"
: "${UVOXEN:=uvoxen}"

echo "Running $UVOXEN with the default Python version"
"$UVOXEN" uv run

"$UVOXEN" \
	-p supported \
	uv run -e ruff,format,reuse,mypy,unit-tests
